Package twisted :: Package words :: Module service :: Class WordsClient

[show private | hide private]
[frames | no frames]

## Class WordsClient

Known Subclasses:
  `BotBot`, `IRCChatter`, `ProxiedParticipant`, `TendrilWords`

Method Summary
| `memberJoined(self, member, group)`
| `memberLeft(self, member, group)`
| `notifyStatusChanged(self, name, status)`
| `receiveContactList(self, contactList)`
| `receiveDirectMessage(self, sender, message, metadata)`
| `receiveGroupMembers(self, names, group)`
| `receiveGroupMessage(self, sender, group, message, metadata)`
| `setGroupMetadata(self, metadata, name)`

Class Variable Summary
`MetaInterface` | `__implements__`

Class Variable Details

### __implements__

  Type:
    `MetaInterface`
  Value:

        <class 'twisted.words.service.IWordsClient'>

Generated by Epydoc 1.1 on Thu May 8 13:19:26 2003 | http://epydoc.sf.net